(Why) Do I need Network-based location? (specifically: µG UnifiedNlp)

You need microG Services Core, not UnifiedNLP. The latter is only for location services, the former replaces more Google services. Add the microG’s repo to F-Droid:
https://microg.org/download.html

And update to the latest microG Services Core:
https://f-droid.org/app/com.google.android.gms

1 Like

i installed microG from fdroid according to the abovementioned guide (5.5).

there it says

Install the latest
*microG Services Core
:exclamation: may be called “µg UnifiedNlp (no GAPPS)” instead, but make sure it displays “microg” and not “F-Droid” as the repository.
*microG Services Framework Proxy
*FakeStore

  • and at least one Unified NLP backend (from F-Droid repository).

I did all of this. Do I still need to install the apk from their website? (i.e. your link)
If yes, then our guide should be updated.

Just be sure to have version 0.2.4-39 or higher

1 Like

Enable the Google device registration from microG Settings and try again, maybe?

After checking the version, check also that everything is OK in the self-check then enable “Google device registration” and “Google Cloud Messaging”.

After that to be sure Signal is registered in GCM clear the data of Signal and restart it.

well ok. something’s wrong. I do not see any “microG settings” only “UnifiedNlp”-settings. I did add the µG fdroid repository and I made sure to install everything I quoted above. And yes, fdroid did not list “microG Services Core” but “µg UnifiedNlp (no GAPPS)”.
So something might be off with the repo and/or instructions. I will try with the apk from their site and report back :wink:

Don’t mind the name, it fails sometimes. See more here about this naming issue: Strange F-Droid microG Services Core update behaviour

Did you update repos (:arrows_counterclockwise: symbol at F-Droid main view) and installed the latest listed version? Preview, 0.2.4-39, not stable

1 Like

It is easier to download the apk from web browser at https://microg.org/download.html than get the correct version on F-Droid.
Check that you have removed UnifiedNlp before installing microG.

2 Likes

The guide you used explains very explicitly how you get the right version:

1 Like

A post was merged into an existing topic: How to be able to install and use any app on FP Open OS [experimental]

my original post was moved here.
so for the sake of making this thread complete, i will just quote the “solution” part of that post:

thanks @paulakreuzer
and thanks @all for your support and clarifications! =)

2 Likes